...
 
Commits (3)
AC_PREREQ([2.68])
AC_INIT([libvmod-re2], [1.5.1], [varnish-support@uplex.de], [vmod-re2])
AC_INIT([libvmod-re2], [1.6.0], [varnish-support@uplex.de], [vmod-re2])
AC_COPYRIGHT([Copyright 2016-2017 UPLEX - Nils Goroll Systemoptimierung])
AC_CONFIG_MACRO_DIR([m4])
AC_CONFIG_AUX_DIR([build-aux])
......
......@@ -10,8 +10,8 @@
# - this script (named pkg)
# - VMOD re2 tarball (vmod-re2-$VERSION.tar.gz)
# - RPM spec file (vmod-re2.spec)
# - yum repo config for varnish60@packagecloud (varnishcache_varnish60.repo)
# (see https://packagecloud.io/varnishcache/varnish60/install#manual-rpm)
# - yum repo config for varnish61@packagecloud (varnishcache_varnish61.repo)
# (see https://packagecloud.io/varnishcache/varnish61/install#manual-rpm)
# So this is a sample docker invocation:
#
......@@ -45,9 +45,9 @@ sudo yum install -y -q \
https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
# set up varnish repo
sudo cp /srv/varnishcache_varnish60.repo /etc/yum.repos.d/
sudo cp /srv/varnishcache_varnish61.repo /etc/yum.repos.d/
sudo yum -q makecache -y --disablerepo='*' --enablerepo='varnishcache_varnish60'
sudo yum -q makecache -y --disablerepo='*' --enablerepo='varnishcache_varnish61'
# build requirements
sudo yum install -y -q \
......
[varnishcache_varnish61]
name=varnishcache_varnish61
baseurl=https://packagecloud.io/varnishcache/varnish61/el/7/$basearch
repo_gpgcheck=1
gpgcheck=0
enabled=1
gpgkey=https://packagecloud.io/varnishcache/varnish61/gpgkey
sslverify=1
sslcacert=/etc/pki/tls/certs/ca-bundle.crt
metadata_expire=300
[varnishcache_varnish61-source]
name=varnishcache_varnish61-source
baseurl=https://packagecloud.io/varnishcache/varnish61/el/7/SRPMS
repo_gpgcheck=1
gpgcheck=0
enabled=1
gpgkey=https://packagecloud.io/varnishcache/varnish61/gpgkey
sslverify=1
sslcacert=/etc/pki/tls/certs/ca-bundle.crt
metadata_expire=300
......@@ -74,6 +74,9 @@ rm -rf %{buildroot}
/sbin/ldconfig
%changelog
* Wed Oct 3 2018 Geoff Simmons <geoff@uplex.de> - 1.6.0
- Build for VRT 8.0 / Varnish 6.1.
* Wed Oct 3 2018 Geoff Simmons <geoff@uplex.de> - 1.5.1
- Require ABI compatibility -- also compatible with Varnish 6.0.1.
- RPM builds use make -j.
......